## jose 0.1

=== DESCRIPTION ===
Package: jose
Type: Package
Title: Javascript Object Signing and Encryption
Version: 0.1
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
Description: A collection of specifications to securely transfer claims such as
    authorization information between parties. A JSON Web Token (JWT) contains
    claims used by systems to apply access control rules to its resources. One
    potential use case of the JWT is authentication and authorization for a
    system that exposes resources through OAuth 2.0.
License: MIT + file LICENSE
URL: https://datatracker.ietf.org/wg/jose/documents/
        https://github.com/jeroenooms/jose
BugReports: https://github.com/jeroenooms/jose/issues
Depends: openssl (>= 0.9.4)
Imports: jsonlite
RoxygenNote: 5.0.1
VignetteBuilder: knitr
Suggests: testthat, knitr, rmarkdown
NeedsCompilation: no
Packaged: 2016-05-27 11:33:37 UTC; jeroen
Repository: CRAN
Date/Publication: 2016-05-27 15:50:53

## jose 0.2

=== DESCRIPTION ===
Package: jose
Type: Package
Title: JavaScript Object Signing and Encryption
Version: 0.2
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), 
    email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289"))
Description: Read and write JSON Web Keys (JWK, rfc7517), generate and verify JSON
    Web Signatures (JWS, rfc7515) and encode/decode JSON Web Tokens (JWT, rfc7519).
    These standards provide modern signing and encryption formats that are the basis
    for services like OAuth 2.0 or LetsEncrypt and are natively supported by browsers
    via the JavaScript WebCryptoAPI.
License: MIT + file LICENSE
URL: https://datatracker.ietf.org/wg/jose/documents/
        https://www.w3.org/TR/WebCryptoAPI/#jose
        https://github.com/jeroen/jose
BugReports: https://github.com/jeroen/jose/issues
Depends: openssl (>= 1.0)
Imports: jsonlite
RoxygenNote: 6.0.1.9000
VignetteBuilder: knitr
Suggests: spelling, testthat, knitr, rmarkdown
Encoding: UTF-8
Language: en-US
NeedsCompilation: no
Packaged: 2018-04-12 13:44:44 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2018-04-12 16:38:01 UTC

## jose 1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: jose
 Type: Package
 Title: JavaScript Object Signing and Encryption
-Version: 0.2
+Version: 1.0
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), 
     email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Read and write JSON Web Keys (JWK, rfc7517), generate and verify JSON
@@ -14,16 +14,16 @@
         https://www.w3.org/TR/WebCryptoAPI/#jose
         https://github.com/jeroen/jose
 BugReports: https://github.com/jeroen/jose/issues
-Depends: openssl (>= 1.0)
+Depends: openssl (>= 1.2.1)
 Imports: jsonlite
-RoxygenNote: 6.0.1.9000
+RoxygenNote: 6.1.1
 VignetteBuilder: knitr
 Suggests: spelling, testthat, knitr, rmarkdown
 Encoding: UTF-8
 Language: en-US
 NeedsCompilation: no
-Packaged: 2018-04-12 13:44:44 UTC; jeroen
+Packaged: 2019-01-20 17:45:12 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2018-04-12 16:38:01 UTC
+Date/Publication: 2019-01-20 18:10:03 UTC

## jose 1.1.0

=== DESCRIPTION ===
Package: jose
Type: Package
Title: JavaScript Object Signing and Encryption
Version: 1.1.0
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), 
    email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289"))
Description: Read and write JSON Web Keys (JWK, rfc7517), generate and verify JSON
    Web Signatures (JWS, rfc7515) and encode/decode JSON Web Tokens (JWT, rfc7519).
    These standards provide modern signing and encryption formats that are natively
    supported by browsers via the JavaScript WebCryptoAPI, and used by services 
    like OAuth 2.0, LetsEncrypt, and Github Apps.
License: MIT + file LICENSE
URL: https://datatracker.ietf.org/wg/jose/documents/
        https://www.w3.org/TR/WebCryptoAPI/#jose
        https://github.com/r-lib/jose
BugReports: https://github.com/r-lib/jose/issues
Depends: openssl (>= 1.2.1)
Imports: jsonlite
RoxygenNote: 7.1.1
VignetteBuilder: knitr
Suggests: spelling, testthat, knitr, rmarkdown
Encoding: UTF-8
Language: en-US
NeedsCompilation: no
Packaged: 2021-06-13 11:08:55 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2021-06-13 22:00:02 UTC

## jose 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: jose
 Type: Package
 Title: JavaScript Object Signing and Encryption
-Version: 1.1.0
+Version: 1.2.0
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), 
     email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Read and write JSON Web Keys (JWK, rfc7517), generate and verify JSON
@@ -16,14 +16,14 @@
 BugReports: https://github.com/r-lib/jose/issues
 Depends: openssl (>= 1.2.1)
 Imports: jsonlite
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 VignetteBuilder: knitr
 Suggests: spelling, testthat, knitr, rmarkdown
 Encoding: UTF-8
 Language: en-US
 NeedsCompilation: no
-Packaged: 2021-06-13 11:08:55 UTC; jeroen
+Packaged: 2021-11-06 13:40:34 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2021-06-13 22:00:02 UTC
+Date/Publication: 2021-11-06 14:00:02 UTC

## jose 1.2.1

=== DESCRIPTION ===
Package: jose
Type: Package
Title: JavaScript Object Signing and Encryption
Version: 1.2.1
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), 
    email = "jeroenooms@gmail.com", comment = c(ORCID = "0000-0002-4035-0289"))
Description: Read and write JSON Web Keys (JWK, rfc7517), generate and verify JSON
    Web Signatures (JWS, rfc7515) and encode/decode JSON Web Tokens (JWT, rfc7519)
    <https://datatracker.ietf.org/wg/jose/documents/>. These standards provide 
    modern signing and encryption formats that are natively supported by browsers
    via the JavaScript WebCryptoAPI <https://www.w3.org/TR/WebCryptoAPI/#jose>, 
    and used by services like OAuth 2.0, LetsEncrypt, and Github Apps.
License: MIT + file LICENSE
URL: https://r-lib.r-universe.dev/jose
BugReports: https://github.com/r-lib/jose/issues
Depends: openssl (>= 1.2.1)
Imports: jsonlite
RoxygenNote: 7.1.2
VignetteBuilder: knitr
Suggests: spelling, testthat, knitr, rmarkdown
Encoding: UTF-8
Language: en-US
NeedsCompilation: no
Packaged: 2024-10-03 14:12:53 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2024-10-04 12:20:01 UTC

## jose 10

=== debian/changelog ===
jose (10-3+deb11u1) bullseye; urgency=high

  * Cherry-pick "Fix potential DoS issue with p2c header". Closes:
    #1067457 [CVE-2023-50967]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 04 Apr 2024 18:11:00 +0200

jose (10-3) unstable; urgency=medium

  * Cherry-pick commits:
    - "Fix minor FILE* leak"
    - "Add support for RSA-OAEP-224, RSA-OAEP-384 and RSA-OAEP-512"

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 25 May 2020 22:11:30 +0200

jose (10-2) unstable; urgency=medium

  * Add missing dependencies
  * Enable full hardening build

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 11 Nov 2017 21:17:33 +0100

jose (10-1) unstable; urgency=medium

  * Initial release. Closes: #873939

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 05 Nov 2017 19:12:42 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

	# Remove useless files
	rm -f debian/tmp/usr/lib/*/*.la

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Tests: run-testsuite
Depends:
    @,
    build-essential,
    libjansson-dev,
    libjose-dev,
    moreutils,

## jose 11

=== debian/changelog ===
jose (11-2) unstable; urgency=medium

  * Replace usage of which(1)
  * Increase test timeouts

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 01 Dec 2021 20:33:13 +0100

jose (11-1) unstable; urgency=medium

  * New upstream version 11

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 29 Nov 2021 20:56:15 +0100

=== debian/watch ===

version=4
https://github.com/latchset/jose/releases \
    /latchset/jose/releases/download/v[0-9]+/jose-([0-9][.0-9]*)@ARCHIVE_EXT@

## jose 13

=== meson_options.txt ===
option('docs', type: 'feature', description: 'Whether to build asciidoc manpages')

=== debian/changelog ===
jose (13-1) unstable; urgency=high

  * New upstream version 13. Closes: #1067457 [CVE-2023-50967]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 04 Apr 2024 07:40:48 +0200

jose (11-3) unstable; urgency=medium

  * Packaging cleanup

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 03 Sep 2023 10:51:08 +0200

=== debian/control ===
Source: jose
Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: https://github.com/latchset/jose
Standards-Version: 4.6.2
Vcs-Browser: https://git.in-ulm.de/cbiedl/jose
Vcs-Git: https://git.in-ulm.de/cbiedl/jose.git
Build-Depends: debhelper-compat (= 13),
    asciidoctor,
    jq,
    libjansson-dev (>= 2.10),
    libssl-dev (>= 1.0.2),
    meson,
    pkg-config,
    zlib1g-dev,
Priority: optional
Rules-Requires-Root: no
Section: net

Package: jose
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: C implementation of Javascript Object Signing and Encryption standards
 José is a C-language implementation of the Javascript Object Signing
 and Encryption standards. Specifically, José aims towards implementing
 the following standards:
 .
   RFC 7515 - JSON Web Signature (JWS)
   RFC 7516 - JSON Web Encryption (JWE)
   RFC 7517 - JSON Web Key (JWK)
   RFC 7518 - JSON Web Algorithms (JWA)
   RFC 7519 - JSON Web Token (JWT)
   RFC 7520 - Examples of ... JOSE
   RFC 7638 - JSON Web Key (JWK) Thumbprint

Package: libjose0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Section: libs
Multi-Arch: same
Description: Javascript Object Signing and Encryption (José) - library
 This package provides the shared library for José, a C-language
 implementation of the Javascript Object Signing and Encryption
 standards.

Package: libjose-dev
Architecture: any
Depends: ${misc:Depends},
    libjansson-dev,
    libjose0 (= ${binary:Version}),
    libssl-dev,
    zlib1g-dev,
Section: libdevel
Multi-Arch: same
Description: Javascript Object Signing and Encryption (José) - development files
 This package provides the development files for José, a C-language
 implementation of the Javascript Object Signing and Encryption
 standards.

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,5 @@
 override_dh_auto_install:
 	dh_auto_install
 
-	# Remove useless files
-	rm -f debian/tmp/usr/lib/*/*.la
-
 override_dh_missing:
 	dh_missing --fail-missing

## jose 14

=== debian/changelog ===
jose (14-2build1) questing; urgency=medium

  * No-change rebuild for updated GCS property note on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Aug 2025 10:36:49 +0200

jose (14-2) unstable; urgency=high

  * Cherry-pick fix to handle possible Null pointer gracefully

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 10 Jul 2025 18:04:11 +0200

jose (14-1) unstable; urgency=medium

  * New upstream version 14

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 10 Aug 2024 18:16:54 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
     libjansson-dev (>= 2.10),
     libssl-dev (>= 1.0.2),
     meson,
-    pkg-config,
+    pkgconf,
     zlib1g-dev,
 Priority: optional
 Rules-Requires-Root: no
